> # NAME

> ColorWriteEnable1 - 3D API color write enable1

> # USAGE

> ColorWriteEnable1 = bool4(r, g, b, a)

> # VALID ENUMERANTS

> r, g, b, a: true, false

> # DESCRIPTION

> Enable/disable writing of frame buffer color components. See the D3DRS_COLORWRITEENABLE1 render state description for DirectX 9.

> The standard reset callback sets the ColorWriteEnable1 state to bool4(true, true, true, true).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> ColorWriteEnable, ColorWriteEnable2, ColorWriteEnable3, BlendColor, ClearColor, ColorArg0, ColorArg1, ColorArg2, ColorLogicOpEnable, ColorMask, ColorMaterial, ColorMatrix, ColorOp, ColorTransform, ColorVertex